Inconsistent behaviour - whether or not newly added layers are automatically selected

2012-03-06 05:10 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14884

Description

(1) If the currently selected layer is inside a layer group, and the option “Settings>Options>General>Add new layers to selected or current

group” is set, then when a new layer is added then the currently selected layer stays selected.

Otherwise, when a new layer is added it is also automatically selected.

There are probably advantages to either behaviour (see #1086 for one argument), but it should be consistent.  Or at least it should be

consistent for a particular method of adding the layer - i.e. the behaviour should always be the same when you add a layer from the

"Layer>Add..." menu entries, even if it is different when you add the layer by using a Python command.

(2) If the currently selected layer is inside a layer group, and the option “Settings>Options>General>Add new layers to selected or current

group” is set, and you add some more layers, then unset the "Add new layers..." option (without changing which layer is selected), then if

you try to add another layer nothing happens!  I'm guessing this is related to (1) - if not I should file a separate report.

History

#1 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2014-06-21 03:33 AM - Jürgen Fischer

- Category set to GUI

#3 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2015-12-08 08:14 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

in QGIS 2.13 master (and probably in previous versions), the newly added layer is automatically selected, whether it is loaded into a group or not. I can't

find any option related to this (nothing in the QGIS settings, “Settings>Options>General>Add new layers to selected or current group”).

I think we can close this bug... Can you confirm ?

#5 - 2015-12-13 09:17 PM - Alister Hood

I didn't test adding layers programmatically, but yes, I think it can be closed.  Can anyone remind me whether the policy is to set Resolution to "fixed" or

"worksforme" in cases like this?
#6 - 2015-12-20 10:38 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Alister Hood wrote:

I didn't test adding layers programmatically, but yes, I think it can be closed.  Can anyone remind me whether the policy is to set Resolution to

"fixed" or "worksforme" in cases like this?

it was a confirmed bug and was fixed? > fixed

it an unconfirmed bug, and... works for me? > works for me

but when in doubt it does not really matter, since we agree that it is now ok to close the ticket.

2025-05-17 2/2


